diff --git a/include/net/openthread.h b/include/net/openthread.h
index d2fa776842a8..fca83142f894 100644
--- a/include/net/openthread.h
+++ b/include/net/openthread.h
@@ -11,7 +11,8 @@
 
 #include <net/net_if.h>
 
-#include <openthread/openthread.h>
+#include <openthread/instance.h>
+#include <openthread/thread.h>
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/subsys/net/l2/openthread/openthread.c b/subsys/net/l2/openthread/openthread.c
index 769e57213977..6fbee1efae3a 100644
--- a/subsys/net/l2/openthread/openthread.c
+++ b/subsys/net/l2/openthread/openthread.c
@@ -17,9 +17,7 @@ LOG_MODULE_REGISTER(net_l2_openthread, CONFIG_OPENTHREAD_L2_LOG_LEVEL);
 #include <init.h>
 #include <misc/util.h>
 #include <misc/__assert.h>
-#include <openthread/openthread.h>
 #include <openthread/cli.h>
-#include <platform.h>
 #include <platform-zephyr.h>
 
 #include "openthread_utils.h"
@@ -206,8 +204,8 @@ static enum net_verdict openthread_recv(struct net_if *iface,
 	/* Length inc. CRC. */
 	recv_frame.mLength = net_buf_frags_len(pkt->frags);
 	recv_frame.mChannel = platformRadioChannelGet(ot_context->instance);
-	recv_frame.mLqi = net_pkt_ieee802154_lqi(pkt);
-	recv_frame.mRssi = net_pkt_ieee802154_rssi(pkt);
+	recv_frame.mInfo.mRxInfo.mLqi = net_pkt_ieee802154_lqi(pkt);
+	recv_frame.mInfo.mRxInfo.mRssi = net_pkt_ieee802154_rssi(pkt);
 
 #if defined(CONFIG_OPENTHREAD_L2_DEBUG_DUMP_15_4)
 	net_hexdump_frags("Received 802.15.4 frame", pkt, true);
@@ -238,7 +236,7 @@ int openthread_send(struct net_if *iface, struct net_pkt *pkt)
 
 	NET_DBG("Sending Ip6 packet to ot stack");
 
-	message = otIp6NewMessage(ot_context->instance, true);
+	message = otIp6NewMessage(ot_context->instance, NULL);
 	if (message == NULL) {
 		goto exit;
 	}
@@ -281,9 +279,9 @@ enum net_verdict ieee802154_radio_handle_ack(struct net_if *iface,
 static int openthread_init(struct net_if *iface)
 {
 	struct openthread_context *ot_context = net_if_l2_data(iface);
-	u8_t xpanid[8];
+	otExtendedPanId xpanid;
 
-	net_bytes_from_str(xpanid, 8, (char *)CONFIG_OPENTHREAD_XPANID);
+	net_bytes_from_str((u8_t *)&xpanid, 8, (char *)CONFIG_OPENTHREAD_XPANID);
 
 	NET_DBG("openthread_init");
 
@@ -307,7 +305,7 @@ static int openthread_init(struct net_if *iface)
 
 	otLinkSetChannel(ot_context->instance, CONFIG_OPENTHREAD_CHANNEL);
 	otLinkSetPanId(ot_context->instance, CONFIG_OPENTHREAD_PANID);
-	otThreadSetExtendedPanId(ot_context->instance, xpanid);
+	otThreadSetExtendedPanId(ot_context->instance, &xpanid);
 	otIp6SetEnabled(ot_context->instance, true);
 	otThreadSetEnabled(ot_context->instance, true);
 	otIp6SetReceiveFilterEnabled(ot_context->instance, true);
diff --git a/subsys/net/l2/openthread/openthread_utils.c b/subsys/net/l2/openthread/openthread_utils.c
index 5f2bbd2a7cf4..ea2c408c0223 100644
--- a/subsys/net/l2/openthread/openthread_utils.c
+++ b/subsys/net/l2/openthread/openthread_utils.c
@@ -11,8 +11,6 @@ LOG_MODULE_DECLARE(net_l2_openthread, CONFIG_OPENTHREAD_L2_LOG_LEVEL);
 #include <net/net_pkt.h>
 #include <net/openthread.h>
 
-#include <openthread/openthread.h>
-
 #include "openthread_utils.h"
 
 int pkt_list_add(struct openthread_context *context, struct net_pkt *pkt)
diff --git a/subsys/net/lib/openthread/CMakeLists.txt b/subsys/net/lib/openthread/CMakeLists.txt
index 6eae56c62134..50896e3bc639 100644
--- a/subsys/net/lib/openthread/CMakeLists.txt
+++ b/subsys/net/lib/openthread/CMakeLists.txt
@@ -23,7 +23,7 @@ if(NOT EXTERNAL_PROJECT_PATH_OPENTHREAD)
   # TODO: Point to a Zephyr fork
   # Nov. 7
   set_ifndef(ot_GIT_REPOSITORY "https://github.com/openthread/openthread.git")
-  set_ifndef(ot_GIT_TAG db4759cc41257d0572ddedbeead1e02c52033620)
+  set_ifndef(ot_GIT_TAG ff0b30db5551bc6b87d10752363bdb1707ff72c8)
   set_ifndef(ot_GIT_PROGRESS 1)
 
   list(APPEND cmd
@@ -128,6 +128,7 @@ set(ZEPHYR_MBEDTLS_CPPFLAGS "${ZEPHYR_MBEDTLS_CPPFLAGS} ")
 set(ZEPHYR_MBEDTLS_CPPFLAGS "-DMBEDTLS_CONFIG_FILE='\"mbedtls-config.h\"'")
 set(ZEPHYR_MBEDTLS_CPPFLAGS "${ZEPHYR_MBEDTLS_CPPFLAGS} -DMBEDTLS_USER_CONFIG_FILE='\"${CMAKE_CURRENT_SOURCE_DIR}/zephyr-mbedtls-config.h\"'")
 set(ZEPHYR_MBEDTLS_CPPFLAGS "${ZEPHYR_MBEDTLS_CPPFLAGS} -I${ot_SOURCE_DIR}/third_party/mbedtls")
+set(ZEPHYR_MBEDTLS_CPPFLAGS "${ZEPHYR_MBEDTLS_CPPFLAGS} -I${ot_SOURCE_DIR}/third_party/mbedtls/repo/include")
 set(ZEPHYR_MBEDTLS_CPPFLAGS "${ZEPHYR_MBEDTLS_CPPFLAGS} -I${ot_SOURCE_DIR}/third_party/mbedtls/repo.patched/include")
 set(ZEPHYR_MBEDTLS_CPPFLAGS "${ZEPHYR_MBEDTLS_CPPFLAGS} -I${ot_SOURCE_DIR}/third_party/mbedtls/repo.patched/include/mbedtls")
 
@@ -155,7 +156,7 @@ endif()
 
 if(CONFIG_OPENTHREAD_SHELL)
   list(APPEND configure_flags
-    --enable-cli-app=all
+    --enable-cli
     )
 endif()
 
@@ -165,6 +166,18 @@ if(CONFIG_OPENTHREAD_DIAG)
     )
 endif()
 
+if(CONFIG_OPENTHREAD_FTD)
+  list(APPEND configure_flags
+    --enable-ftd
+    )
+endif()
+
+if(CONFIG_OPENTHREAD_MTD)
+  list(APPEND configure_flags
+    --enable-mtd
+    )
+endif()
+
 list(APPEND cmd
   CONFIGURE_COMMAND ./configure ${configure_flags}
 )
diff --git a/subsys/net/lib/openthread/platform/alarm.c b/subsys/net/lib/openthread/platform/alarm.c
index a8b07baccb6c..8dc40da5c418 100644
--- a/subsys/net/lib/openthread/platform/alarm.c
+++ b/subsys/net/lib/openthread/platform/alarm.c
@@ -15,7 +15,6 @@ LOG_MODULE_REGISTER(LOG_MODULE_NAME);
 #include <inttypes.h>
 
 #include <openthread/platform/alarm-milli.h>
-#include <platform.h>
 
 #include <stdio.h>
 
diff --git a/subsys/net/lib/openthread/platform/misc.c b/subsys/net/lib/openthread/platform/misc.c
index eee103f70c63..5808e14cae40 100644
--- a/subsys/net/lib/openthread/platform/misc.c
+++ b/subsys/net/lib/openthread/platform/misc.c
@@ -6,7 +6,7 @@
 
 #include <kernel.h>
 #include <misc/reboot.h>
-#include <openthread/types.h>
+#include <openthread/instance.h>
 #include <openthread/platform/misc.h>
 
 #include "platform-zephyr.h"
diff --git a/subsys/net/lib/openthread/platform/platform-zephyr.h b/subsys/net/lib/openthread/platform/platform-zephyr.h
index ea61a7f45c38..a929ead8c250 100644
--- a/subsys/net/lib/openthread/platform/platform-zephyr.h
+++ b/subsys/net/lib/openthread/platform/platform-zephyr.h
@@ -15,7 +15,9 @@
 
 #include <stdint.h>
 
-#include <openthread/openthread.h>
+#include <openthread/instance.h>
+#include <openthread/tasklet.h>
+#include <openthread/thread.h>
 
 /**
  * This function initializes the alarm service used by OpenThread.
@@ -67,4 +69,8 @@ void platformRandomInit(void);
  */
 void platformShellInit(otInstance *aInstance);
 
+void PlatformProcessDrivers(otInstance *aInstance);
+void PlatformInit(int argc, char *argv[]);
+void PlatformEventSignalPending(void);
+
 #endif  /* PLATFORM_POSIX_H_ */
diff --git a/subsys/net/lib/openthread/platform/platform.c b/subsys/net/lib/openthread/platform/platform.c
index 47751c331873..d92af1de28e8 100644
--- a/subsys/net/lib/openthread/platform/platform.c
+++ b/subsys/net/lib/openthread/platform/platform.c
@@ -11,7 +11,7 @@
  */
 
 #include <kernel.h>
-#include <openthread/openthread.h>
+#include <openthread/instance.h>
 #include <openthread/tasklet.h>
 
 #include "platform-zephyr.h"
diff --git a/subsys/net/lib/openthread/platform/radio.c b/subsys/net/lib/openthread/platform/radio.c
index 99d927ec46dd..d72996f9b52f 100644
--- a/subsys/net/lib/openthread/platform/radio.c
+++ b/subsys/net/lib/openthread/platform/radio.c
@@ -30,9 +30,6 @@ LOG_MODULE_REGISTER(LOG_MODULE_NAME);
 
 #include <openthread/platform/radio.h>
 #include <openthread/platform/diag.h>
-#include <platform.h>
-
-#include <openthread/types.h>
 
 #include "platform-zephyr.h"
 
@@ -98,7 +95,7 @@ void platformRadioProcess(otInstance *aInstance)
 		radio_api->set_channel(radio_dev, sTransmitFrame.mChannel);
 		radio_api->set_txpower(radio_dev, tx_power);
 
-		if (sTransmitFrame.mIsCcaEnabled) {
+		if (sTransmitFrame.mInfo.mTxInfo.mCsmaCaEnabled) {
 			if (radio_api->cca(radio_dev) ||
 			    radio_api->tx(radio_dev, tx_pkt, tx_payload)) {
 				result = OT_ERROR_CHANNEL_ACCESS_FAILURE;
@@ -129,8 +126,8 @@ void platformRadioProcess(otInstance *aInstance)
 
 				ackPsdu[2] = sTransmitFrame.mPsdu[2];
 				ackFrame.mPsdu = ackPsdu;
-				ackFrame.mLqi = 80;
-				ackFrame.mRssi = -40;
+				ackFrame.mInfo.mRxInfo.mLqi = 80;
+				ackFrame.mInfo.mRxInfo.mRssi = -40;
 				ackFrame.mLength = 5;
 
 				otPlatRadioTxDone(aInstance, &sTransmitFrame,
diff --git a/subsys/net/lib/openthread/platform/random.c b/subsys/net/lib/openthread/platform/random.c
index 563f9c0b0923..8c63cd1d61d7 100644
--- a/subsys/net/lib/openthread/platform/random.c
+++ b/subsys/net/lib/openthread/platform/random.c
@@ -6,7 +6,7 @@
 
 #include <kernel.h>
 #include <string.h>
-#include <openthread/types.h>
+
 #include <openthread/platform/random.h>
 
 #include "platform-zephyr.h"
diff --git a/subsys/net/lib/openthread/platform/shell.c b/subsys/net/lib/openthread/platform/shell.c
index 353f5ec5b7f3..788518c9ff05 100644
--- a/subsys/net/lib/openthread/platform/shell.c
+++ b/subsys/net/lib/openthread/platform/shell.c
@@ -10,7 +10,6 @@
 #include <shell/shell.h>
 #include <shell/shell_uart.h>
 #include <openthread/cli.h>
-#include <platform.h>
 
 #include "platform-zephyr.h"
 
